FreeMat

- Main Page
- Related Pages

vtkPlanesIntersection

Section: Visualization Toolkit Filtering Classes

# Usage

A subclass of vtkPlanes, this class determines whether it intersects an axis aligned box. This is motivated by the need to intersect the axis aligned region of a spacial decomposition of volume data with various other regions. It uses the algorithm from Graphics Gems IV, page 81.

.SECTION Caveat An instance of vtkPlanes can be redefined by changing the planes, but this subclass then will not know if the region vertices are up to date. (Region vertices can be specified in SetRegionVertices or computed by the subclass.) So Delete and recreate if you want to change the set of planes.

To create an instance of class vtkPlanesIntersection, simply invoke its constructor as follows

      obj = vtkPlanesIntersection

# Methods

The class vtkPlanesIntersection has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPlanesIntersection class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPlanesIntersection = obj.NewInstance ()`
- `vtkPlanesIntersection = obj.SafeDownCast (vtkObject o)`
- `obj.SetRegionVertices (vtkPoints pts)`
- `obj.SetRegionVertices (double v, int nvertices)`
- `int = obj.GetNumRegionVertices ()`
- `int = obj.GetRegionVertices (double v, int nvertices)`
- `int = obj.IntersectsRegion (vtkPoints R)`